## ezthumb 3.6.7%2Bds1

=== external/Makefile ===

IUPLIBP	= $(shell echo ./iup/lib/*)
INSTALL	= ../libmingw

ifdef	USE_GTK2
IUPCFG	= USE_GTK2=$(USE_GTK2)
else
IUPCFG	=
endif

.PHONY: all libcsoup libiup libgd libgd_clean clean \
	mingw_all mingw_clean mingw_install

ifeq	($(MSYSTEM),MINGW32)
all:
else
all: libcsoup libiup
endif

libcsoup:
	if [ ! -f ./libcsoup/libcsoup.a ]; then \
		make -C ./libcsoup all; \
	fi

libiup:
	if [ ! -f $(IUPLIBP)/libiup.a ]; then \
		$(IUPCFG) make -C ./iup do_all; \
	fi

libgd:
	if [ ! -f ./libgd/Makefile ]; then \
		(cd ./libgd && ./configure --disable-shared && cd ..); \
	fi
	if [ ! -f ./libgd/.libs/libgd.a ]; then \
		make -C ./libgd all; \
	fi

libgd_clean:
	if [ -f ./libgd/Makefile ]; then \
		make -C ./libgd distclean; \
	fi

clean:
	$(IUPCFG) make -C ./iup clean
	make -C ./libcsoup clean

mingw_all: libcsoup libiup libgd

mingw_clean: clean libgd_clean

mingw_install:
	cp -f  ./libcsoup/libcsoup.a $(INSTALL)/lib
	cp -f  ./libcsoup/*.h $(INSTALL)/include
	cp -af ./iup/include/* $(INSTALL)/include/iup
	cp -f  ./iup/lib/mingw4/*.a $(INSTALL)/lib
	cp -f  ./libgd/gd.h $(INSTALL)/include
	cp -f  ./libgd/.libs/libgd.a $(INSTALL)/lib

=== external/iup/Makefile ===
ifeq ($(OS), Windows_NT)
  WINLIBS = iupole
  export MINGW4=/c/mingw
  export TEC_UNAME=mingw4
endif

# quick decision which GTK is available
ifndef	USE_GTK2
gtkver := $(shell pkg-config gtk+-3.0 --cflags)
ifeq ($(gtkver), )
  export USE_GTK2=1
endif
endif

.PHONY: do_all iup iupgtk iupmot iupcd iupcontrols iupmatrixex iupgl iupglcontrols iup_plot iup_mglplot iup_scintilla iupim iupimglib ledc iupview iuplua5 iupconsole iupole iupweb iuptuio
#do_all: iup iupcd iupcontrols iupgl iupglcontrols iupmatrixex iup_plot iup_mglplot iup_scintilla iupim iupimglib $(WINLIBS) iupweb iuptuio ledc iupview iuplua5 iupconsole
do_all: iup iupimglib $(WINLIBS)

clean:
	rm -rf ./lib/* ./obj/*

.PHONY: install
install:
	cp -f  ./lib/*.a ../../libmingw/lib
	cp -af ./include/* ../../libmingw/include/iup

iup iupgtk iupmot:
	@$(MAKE) --no-print-directory -C ./src/ $@
iupcd:
	@$(MAKE) --no-print-directory -C ./srccd/
iupcontrols:
	@$(MAKE) --no-print-directory -C ./srccontrols/
iupmatrixex:
	@$(MAKE) --no-print-directory -C ./srcmatrixex/
iup_plot:
	@$(MAKE) --no-print-directory -C ./srcplot/
iup_mglplot:
	@$(MAKE) --no-print-directory -C ./srcmglplot/
iup_scintilla:
	@$(MAKE) --no-print-directory -C ./srcscintilla/
iupgl:
	@$(MAKE) --no-print-directory -C ./srcgl/
iupglcontrols:
	@$(MAKE) --no-print-directory -C ./srcglcontrols/
iupim:
	@$(MAKE) --no-print-directory -C ./srcim/
iupole:
	@$(MAKE) --no-print-directory -C ./srcole/
iupweb:
	@$(MAKE) --no-print-directory -C ./srcweb/
iuptuio:
	@$(MAKE) --no-print-directory -C ./srctuio/
iupimglib:
	@$(MAKE) USE_IUP_IMGLIB_LARGE=1 --no-print-directory -C ./srcimglib/
iuplua5:
	@$(MAKE) --no-print-directory -C ./srclua5/
iupconsole:
	@$(MAKE) --no-print-directory -C ./srcconsole/
ledc:
	@$(MAKE) --no-print-directory -C ./srcledc/
iupview: iupcontrols iup
	@$(MAKE) --no-print-directory -C ./srcview/

=== external/libcsoup/Makefile ===

export	CC	= gcc
export	AR	= ar
export	CP	= cp
export	RM	= rm -f

PREFIX	= /usr/local
BINDIR	= /usr/local/bin
MANDIR	= /usr/local/man/man1

#export	SLOG_SOCKET = -DCFG_SLOG_SOCKET

# Options: CFG_WIN32_API, CFG_UNIX_API CFG_SLOG_SOCKET
SYSAPI	= 
DEBUG	= -g -DDEBUG -DCFG_CDLL_SAFE
DEFINES = -DUNICODE -D_UNICODE -D_FILE_OFFSET_BITS=64 $(SLOG_SOCKET)

export	CFLAGS	= -Wall -Wextra -O3 $(DEBUG) $(DEFINES) $(SYSAPI) 

ifndef	RELCS
RELCS	= libcsoup-$(shell version.sh)
endif

TARGET	= libcsoup.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<


.PHONY: all clean cli soup slog smm main doc
	
all: main

main: $(TARGET)
	make -C main all

$(TARGET) : cli slog smm soup
	$(RM) $(TARGET)
	$(AR) crus $(TARGET) cli/*.o slog/*.o smm/*.o soup/*.o 

cli:
	make -C cli all

slog:
	make -C slog all

smm:
	make -C smm all

soup:
	make -C soup all

doc:
	doxygen doc/Doxyfile

cleandoc:
	$(RM) -r doc/html  doc/latex

clean:
	make -C cli clean
	make -C main clean
	make -C slog clean
	make -C smm clean
	make -C soup clean
	$(RM) $(TARGET)

release:
	if [ -d $(RELCS) ]; then $(RM) -r $(RELCS); fi
	-mkdir $(RELCS) $(RELCS)/doc
	$(CP) ChangeLog Makefile *.h *.sh $(RELCS)
	$(CP) -a cli main slog smm soup snippet $(RELCS)
	$(CP) doc/Doxyfile $(RELCS)/doc
	make -C $(RELCS) clean
	$(RM) $(RELCS).tar.gz
	tar czf $(RELCS).tar.gz $(RELCS)

export: release
	$(RM) $(RELCS).tar.gz
	cp -au $(RELCS)/* ../ezthumb/external/libcsoup

=== external/iup/src/Makefile ===
ifeq ($(OS), Windows_NT)
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmakewin.mak TEC_UNAME=$(TEC_UNAME)
else
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmake.mak
endif

.PHONY: do_all iup iupgtk iupmot iuphaiku iupstub
do_all: iup

iup:
	@$(TECMAKE_CMD) 

iupgtk:
	@$(TECMAKE_CMD) USE_GTK=Yes

iupmot:
	@$(TECMAKE_CMD) USE_MOTIF=Yes

iuphaiku:
	@$(TECMAKE_CMD) USE_HAIKU=Yes

iupstub:
	@$(TECMAKE_CMD) MF=iupstub

=== external/iup/srcledc/Makefile ===
ifeq ($(OS), Windows_NT)
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmakewin.mak TEC_UNAME=$(TEC_UNAME)
else
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmake.mak
endif

.PHONY: do_all

do_all:
	@$(TECMAKE_CMD)

=== external/iup/srclua5/Makefile ===
ifeq ($(OS), Windows_NT)
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmakewin.mak TEC_UNAME=$(TEC_UNAME)
  WINLIBS = iupluaole
else
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmake.mak
endif

.PHONY: do_all iuplua iupluacd iupluacontrols iupluamatrixex iupluagl iupluaglcontrols iuplua_plot iuplua_mglplot iuplua_scintilla iupluaim iupluaimglib iupluatuio iupluaole iupluaweb
do_all: iuplua iupluacd iupluacontrols iupluamatrixex iupluagl iupluaglcontrols iuplua_plot iuplua_mglplot iuplua_scintilla iupluaim iupluaimglib iupluatuio $(WINLIBS) iupluaweb

iuplua:
	@$(TECMAKE_CMD)  

iupluacd:
	@$(TECMAKE_CMD) MF=iupcd 

iupluacontrols:
	@$(TECMAKE_CMD) MF=iupcontrols 

iupluamatrixex:
	@$(TECMAKE_CMD) MF=iupmatrixex

iupluagl:
	@$(TECMAKE_CMD) MF=iupgl 

iupluaglcontrols:
	@$(TECMAKE_CMD) MF=iupglcontrols 

iuplua_plot:
	@$(TECMAKE_CMD) MF=iup_plot 

iuplua_mglplot:
	@$(TECMAKE_CMD) MF=iup_mglplot 

iuplua_scintilla:
	@$(TECMAKE_CMD) MF=iup_scintilla 

iupluaim:
	@$(TECMAKE_CMD) MF=iupim 

iupluaimglib:
	@$(TECMAKE_CMD) MF=iupimglib 
  
iupluatuio:
	@$(TECMAKE_CMD) MF=iuptuio 
  
iupluaole:
	@$(TECMAKE_CMD) MF=iupole 
  
iupluaweb:
	@$(TECMAKE_CMD) MF=iupweb

=== external/iup/srcole/Makefile ===
ifeq ($(OS), Windows_NT)
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmakewin.mak TEC_UNAME=$(TEC_UNAME)
  WINLIBS = iupole
else
  TECMAKE_CMD = $(MAKE) --no-print-directory -f ../tecmake.mak
endif

.PHONY: do_all iupole
do_all: $(WINLIBS)

iupole:
	@$(TECMAKE_CMD)

=== external/libcsoup/cli/Makefile ===

CFLAGS	+= -I..

#SRCS	:= $(shell echo *.c)
SRCS	:= csc_cli_command.c	\
	   csc_cli_getopt.c	\
	   csc_cli_make_list.c	\
	   csc_cli_make_table.c \
	   csc_cli_mkargs.c	\
	   csc_cli_print.c	\
	   csc_cli_private.c	\
	   csc_cli_qopt.c

OBJS	:= $(SRCS:.c=.o)

.PHONY: all clean
	
all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== external/libcsoup/main/Makefile ===

CC      = gcc
AR      = ar
CP      = cp
RM      = rm -f

ifndef	CFLAGS
CFLAGS	= -Wall -Wextra -DDEBUG -DCFG_CDLL_SAFE
endif
CFLAGS	+= -I.. -I.

ifdef	SLOG_SOCKET
EXLIBS	= -lpthread
endif

SRCS	= main.c fixtoken.c memdump.c slog.c crc.c fontpath.c config.c \
	  csc_cdll.c csc_cli.c smm.c strings.c

TARGET	= csoup


.PHONY: all clean
all: $(TARGET)

$(TARGET): $(SRCS) main_define.h
	$(CC) $(CFLAGS) -L.. -o $@ $(SRCS) -lcsoup $(EXLIBS)

main_define.h: mkclicmd
	grep "extern.*struct.*clicmd" $(SRCS) | cut -d: -f2 |tr -d '\r' > $@
	./mkclicmd $@

mkclicmd: mkclicmd.c
	$(CC) $(CFLAGS) -L.. -o $@ $< -lcsoup

universal_crc: universal_crc.c
	$(CC) $(CFLAGS) -o $@ $<

crc: universal_crc
	universal_crc -a tab -b 32 -p 0x04c11db7 -i 0xffffffff -x 0xffffffff -r > crc32.c
	universal_crc -a tab -b 16 -p 0x1021 > crc16.c
	universal_crc -a tab -b 8 -p 0x7 > crc8.c

clean:
	$(RM) $(TARGET) main_define.h universal_crc mkclicmd

=== external/libcsoup/slog/Makefile ===

CFLAGS	+= -I..

#SRCS   := $(shell echo *.c)
ifdef	SLOG_SOCKET
SRCS	:= slog_core.c slog_csoup.c slog_socket.c
else
SRCS	:= slog_core.c slog_csoup.c
endif


OBJS	:= $(SRCS:.c=.o)

.PHONY: all clean
	
all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== external/libcsoup/smm/Makefile ===

CFLAGS	+= -I..

OBJS	= smm_alloc.o		\
	  smm_chdir.o		\
	  smm_codepage.o	\
	  smm_config.o		\
	  smm_cwd_alloc.o	\
	  smm_cwd_pop.o		\
	  smm_cwd_push.o	\
	  smm_filesize.o	\
	  smm_fontpath.o	\
	  smm_fopen.o		\
	  smm_fstat.o		\
	  smm_init.o		\
	  smm_lstat.o		\
	  smm_mkdir.o		\
	  smm_wcstombs.o	\
	  smm_pathtrek.o	\
	  smm_pwuid.o		\
	  smm_rename.o		\
	  smm_signal_break.o	\
	  smm_sleep.o		\
	  smm_time_diff.o	\
	  smm_time_get_epoch.o	\
	  smm_userpath.o	\
	  smm_mbstowcs.o

.PHONY: all clean
	
all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== external/libcsoup/snippet/Makefile ===



CFLAGS	= -I./external/iup/include `pkg-config gtk+-2.0 --cflags` -L./external/iup/lib/Linux310_64
LIBS	= `pkg-config gtk+-2.0 --libs` -lX11 -liup -lpthread

SRC	= iup_thread_sync_idler2.c	\
	  iup_thread_sync_idler.c	\
	  iup_thread_sync_timer.c	\
	  pthread_myq_cancellation.c	\
	  pthread_queue_simple.c

TARGET	= $(basename $(SRC))

%: %.c
	gcc $(CFLAGS) -o $@ $< $(LIBS)

all: $(TARGET)

clean:
	rm $(TARGET)

## ezthumb 3.6.7+ds1

=== debian/changelog ===
ezthumb (3.6.7+ds1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Corrected Lintian errors in control and copyright file

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 22 Oct 2019 16:55:49 -0400

ezthumb (3.6.7+ds1-0.1~mx17+1) mx; urgency=medium

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Jan 2019 10:05:05 -0800

=== debian/control ===
Source: ezthumb
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libavformat-dev,
               libbz2-dev,
               libfreetype6-dev,
               libgd-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libswscale-dev,
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/ezthumb/

Package: ezthumb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video thumbnail generator based on FFMPEG
 EZthumb uses ffmpeg to scan a video file, take a bunch of screenshot-like 
 samples, resize them to thumbnail-size, then make a contact sheet/montage image
 from them, along with some technical info about the video (size, length,
 resolution, codecs) in text in the upper-left corner.
 .
    Supports almost any video format include x265.
    Output JPG, PNG or GIF format.
    Supports generating transparent PNG or GIF.
    Supports generating Animated GIF.
    Supports generating all thumbnails in one canvas, or individual thumbnails.
    Supports batch processing in command line.
    Supports both command line tool and a lightweight GUI application.
    Cross platform design support Linux/Windows XP/Windows 7 (Win32 API).
    Using IUP portable UI library to gain the native GUI feeling.
    Written in C and FFMPEG, as well as libav, API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with autotools_dev --parallel

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
